[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: How to restrict package installation to x86_64



Jesse Keating wrote:
On Sun, 24 Feb 2008 18:47:14 +0100
Rainer Duffner <rainer ultra-secure de> wrote:
When I do a rpm -qi _package_ it isn't even obvious, which one is
which!

Use rpm -qi package.arch
The '-i' option is for 'info'. The info should be exactly the same for both i?86 and x86_64 arch packages. If you do have a reason to want this information, though, you can use the following query, in this case for the libgcc package:

   rpm -qi --qf '%{name}-%{version}-%{release}-%{arch}\n' libgcc

John



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]